File System scanner for AIX requires Java 6 version

book

Article ID: 160519

calendar_today

Updated On:

Products

Data Loss Prevention Network Discover

Issue/Introduction

In Symantec Data Loss Prevention 10.0 and 10.5, the file system scanner for AIX requires Java 6 to be installed on the AIX machine before you install the scanner.

 

The documentation included with Symantec Data Loss Prevention 10.0 and 10.5 states that Java 1.5 (Java 5) is required.

Resolution

AIX 5.3 is supported.

The following libraries and versions must be installed on the machine before you install the AIX file system scanner.

The AIX file system scanner requires the following C run time libraries:

  • xlC.aix50.rte (v8.0.0.0+)
  • xlC.rte (v8.0.0.0+)

The AIX file system scanner also requires Java 6. Java 6 is available on IBM's download site.

Note that Java 6 and Java version 1.6.x are different names for the same version.

After you deploy Java 6 to your machine, set the updated paths:

#export PATH=/usr/java6/jre/bin:/usr/java6/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin

If you want these settings to be permanent, add the path settings in the  ~/.bash_profile file.

Verify the Java version:

# java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build pap3260sr5-20090529_04(SR5))
IBM J9 VM (build 2.4, J2RE 1.6.0 IBM J9 2.4 AIX ppc-32 jvmap3260sr5-20090519_35743 (JIT enabled, AOT enabled)
J9VM - 20090519_035743_bHdSMr
JIT  - r9_20090518_2017
GC   - 20090417_AA)
JCL  - 20090529_01
#